GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
iomgr.h File Reference

Go to the source code of this file.

## Data Structures
struct | grpc_iomgr_closure
| A closure over a grpc_iomgr_cb_func. More...

## Typedefs
typedef void(* | grpc_iomgr_cb_func )(void *arg, int success)
| gRPC Callback definition. More...
typedef struct grpc_iomgr_closure | grpc_iomgr_closure
| A closure over a grpc_iomgr_cb_func. More...

## Functions
void | grpc_iomgr_closure_init (grpc_iomgr_closure *closure, grpc_iomgr_cb_func cb, void *cb_arg)
| Initializes closure with cb and cb_arg. More...
void | grpc_iomgr_init (void)
| Initializes the iomgr. More...
void | grpc_iomgr_shutdown (void)
| Signals the intention to shutdown the iomgr. More...
void | grpc_iomgr_add_callback (grpc_iomgr_closure *closure)
| Registers a closure to be invoked at some point in the future. More...
void | grpc_iomgr_add_delayed_callback (grpc_iomgr_closure *iocb, int success)
| As per grpc_iomgr_add_callback, with the ability to set the success argument. More...

## Typedef Documentation

typedef void(* grpc_iomgr_cb_func)(void *arg, int success)

gRPC Callback definition.

Parameters

  arg | Arbitrary input.
  success | An indication on the state of the iomgr. On false, cleanup actions should be taken (eg, shutdown).

typedef struct grpc_iomgr_closure grpc_iomgr_closure

A closure over a grpc_iomgr_cb_func.

## Function Documentation

void grpc_iomgr_add_callback | ( | grpc_iomgr_closure * | closure | ) |

Registers a closure to be invoked at some point in the future.

Can be called from within a callback or from anywhere else

void grpc_iomgr_add_delayed_callback | ( | grpc_iomgr_closure * | iocb,
|  | int | success
| ) |  |

As per grpc_iomgr_add_callback, with the ability to set the success argument.

void grpc_iomgr_closure_init | ( | grpc_iomgr_closure * | closure,
|  | grpc_iomgr_cb_func | cb,
|  | void * | cb_arg
| ) |  |

Initializes closure with cb and cb_arg.

void grpc_iomgr_init | ( | void |  | ) |

Initializes the iomgr.

void grpc_iomgr_shutdown | ( | void |  | ) |

Signals the intention to shutdown the iomgr.